Using the PC-DMIS Vision Optical Measuring System

PC-DMIS Vision: Introduction

Getting Started

Setting Machine Options

Machine Options: Debug tab

Machine Options: General tab

Machine Options: Motion tab

Machine Options: Optics tab

Machine Options: Illumination tab

Machine Options: Pendant tab

Machine Options: Motion Controller Communication tab

Machine Options: Illumination Communication tab

Calibrating the Optical Probe

Using the Probe Toolbox in PC-DMIS Vision

Probe Toolbox: Define Nominals tab

Probe Toolbox: Define Targets tab

Probe Toolbox: Magnification tab

Probe Toolbox: Illumination tab

Probe Toolbox: Focus tab

Probe Toolbox: Gage tab

Probe Toolbox: Feature Locator tab

Using the Graphics Display Window in PC-DMIS Vision

Cad View

Live View

Measuring Features Using PC-DMIS Vision

Vision Measuring Methods

Step by Step Measurement Procedure

Modifying a Feature in PC-DMIS Vision

Using Offline and Online Modes


PC-DMIS Vision: Introduction

This help file documents how to use PC-DMIS Vision with your optical measuring system to measure features on a part. Optical probes provide a quick way to collect many measured points for a single feature. This non-contact probing method can also be used to measure certain types of "flat" features. For example, a circuit board could have an overlay of a different color to the main circuit board. A contact probe running over the part won’t detect the feature. However, using an optical probe you could easily "capture" the feature.

PC-DMIS Vision supports these hardware configurations:

  • Dedicated optical measuring systems such as those manufactured by TESA, RAM Optical Instruments (ROI) and Mycrona, including Multi-Sensor models (a mixture of contact, vision, and/or laser probes).

  • Video camera probe mounted on a CMM.

Important: PC-DMIS Vision (Version 4.0) currently supports ROI DCC machines (Sprint, Onyx, Datastar, and OMIS I-III product lines), the TESA Visio product line, and the Mycrona machines. In addition, many other machine types can be supported by using a generic Metronics interface. Installation may require some PC hardware upgrades.

The main topics in this section include:

  • Getting Started

  • Setting Machine Options

  • Calibrating the Optical Probe

  • Using the Probe Toolbox in PC-DMIS Vision

  • Using the Graphics Display Window in PC-DMIS Vision

  • Measuring Features using PC-DMIS Vision

  • Modifying a Feature in PC-DMIS Vision

  • Using Offline and Online Modes

Be sure to use this help file in conjunction with the main "PC-DMIS Help file"if you come across something in the software that isn't covered here.


Getting Started

There are a few basic steps that you should take to verify that your system has been properly prepared before beginning the measurement process with your optical device.

Note: You will get best measurement results if your optical measuring system is setup in a dimly lit room that doesn't have a lot of uncovered windows or bright lights.

Follows these steps to get started with PC-DMIS Vision:

  • Step 1: Install PC-DMIS Vision

  • Step 2: Home your System

  • Step 3: Start PC-DMIS and Modify Machine Options

  • Step 4: Measure Features

  • Frame Grabber


Step 1: Install PC-DMIS Vision

Before working with your optical measuring system, ensure that PC-DMIS has been properly installed on your computer system. The Vision option must be selected on your portlock with the correct Vision Probe Type selected from the Vision Type drop-down box. The portlock settings must be selected prior to installing PC-DMIS to ensure that the needed Vision components will be installed.

During the PC-DMIS install process, you will be prompted to install Frame Grabber software. Click Yes if your Vision Probe requires this. See the "Frame Grabber" topic for more information.

Also, a qualified technician should have already performed specific calibration tests for your optical machine. You can verify that your machine is ready by confirming the following files reside on your computer system located in the root directory where you installed PC-DMIS:

  • *.ilc – Files that have a .ilc extension are created during the calibration process of your machine's lamps. They store the illumination calibration data for each lamp and optics lens combination.

  • Cal*.ocf and Cal*.mcf – These files are created during the calibration of your machine’s optics. They store the calibration data needed to map pixel size to real world units.

  • Cal*.ocf.default and Cal*.mcf.default – These default optical calibration files are created during installation, and they allow basic operations to be performed in the software prior to optical calibration.

  • Comp.dat – This file is created during the calibration of your machine’s stage, storing the calibrations for position on the X, Y and Z axis.

These calibration files may or may not exist and are not prerequisite to running PC-DMIS Vision. If this is a new install, then the files will not exist. As routines are executed inside of PC-DMIS, these files will be created.

CAUTION: Do not, under any circumstances, alter these files. A trained service technician must make any calibration adjustments to these areas of the system.

Next Step

More:

Frame Grabber


Frame Grabber

A Frame Grabber is normally a PC board that converts an analog video signal to a digital signal. This creates individual pictures or frames that can then be retrieved by software. PC-DMIS Vision supports multiple Frame Grabbers as the video data input. The live image from your analog camera is provided via the Frame Grabber to the Live View in PC-DMIS. Newer digital cameras act as a combined camera and frame grabber since they already provide the video image data in digital form.

Note: Digital cameras also require that specific software for your camera is installed to interface with PC-DMIS Vision.

When your portlock is programmed with the Vision option and no frame grabber software has been installed, you will be prompted to install Frame Grabber software.

Install Frame Grabber software prompt

Click Yes to continue or No to skip Frame Grabber installation. You will be prompted to insert the installer CD.

Insert Installer CD prompt

Click OK, once you have inserted the installer CD or you would like to browse for the Installer executable (SetupFramegrabber.exe). After locating SetupFramegrabber.exe, run the program, select your framegrabber from the list, and follow the instructions to install the Frame Grabber software.

Note: Installing Frame Grabber software might resolve the problem of not being able to obtain a camera image after PC-DMIS Vision is installed.

Important: Without correct frame grabber software installation and configuration, you will not be able to obtain a camera image in PC-DMIS Vision.


Step 2: Home your System

You need to home your system before proceeding in order to find the encoder’s zero position of the machine’s scales. Methods for homing may vary from system to system, although most DCC Vision systems will automatically home on startup. If you need additional information on homing your specific system, consult the documentation that came with your optical machine.

Next Step


Step 3: Start PC-DMIS and Modify Machine Options

Once you've homed the machine, start PC-DMIS, create a new part program and access the Machine Interface Setup dialog box located in the Edit | Preferences menu. See "Setting Machine Options" for information on how to do this.

Next Step


Step 4: Measure Features

Once your machine is properly setup, you can measure features by following the information in "Measuring Features Using PC-DMIS Vision".


Setting Machine Options

You can set your machine options by using either the Offline Setup dialog box.

Select the Display Menu Roadmap Edit | Preferences | Machine Interface Setup menu option. The Machine Options dialog box appears. The tabs displayed in this dialog box may vary depending on the type of optical machine you have, and whether you’re running online or offline, but a typical optical machine would allow you to:

  • Specify the active hardware components you will use with your optical measuring system. This potentially allows you to still use some components of your optical machine, if certain hardware components are broken. See “Machine Options: General tab”.

  • Change your machine's speed and travel limits. See "Machine Options: Motion tab".

  • Indicate the video frame position of your system. See "Machine Options: Optics tab".

  • Specify the available lamps on your machine. See "Machine Options: Illumination tab". Available in both online and offline modes.

  • Define the speed parameters for your manual control box. See “Machine Options: Pendant tab”.

  • Specify the communications port and settings used to connect your computer to your optical measuring device. See “Machine Options: Motion Controller Communication tab” and “Machine Options: Illumination Communication tab”.

  • Store any communications between PC-DMIS Vision and your optical machine for debug purposes. See “Machine Options: Debug tab”.


Machine Options: General tab

Machine Options dialog box – General tab

The General tab allows you to enable or disable controllers for use with PCDMIS. You must restart PC-DMIS if you change any of the options on this tab. These three main areas exist on this tab:

  • Active Controllers Settings

  • Controller Settings

  • Timer Interval


Active Controllers Settings

The Active Controllers section defines which machine interface PC-DMIS should use to control each hardware component during PC-DMIS online operation. You can select three options: MSI, CMMI or None.

  • MSI – (Multi Sensor Interface). Select this option for a new style standard machine interface. Currently, only dedicated Vision machines use this (such as ROI, TESA and MYCRONA).

  • CMMI – Select this option for an old style standard machine interface. This indicates that you will be using the older style interface, such as LEITZ.DLL, to control a portion of the machine’s operation. For example, CMMs using a Video Probe camera would use a CMM controller for the motion.

  • None – Select this option if the hardware component does not exist or is broken. If the component is broken, selecting this option lets you continue to use functional parts of your optical machine.

Note: MSI and CMMI selections are NOT mutually exclusive. You are permitted to mix MSI with a CMMI controller during the selection.


Controller Settings

The Controller Information area displays the controller discovered by PC-DMIS during online execution. This section shows four display boxes with this information:

  • PC-DMIS connectivity – Displays the supported version of the Hardware Abstraction Layer (HAL) interface for this version of PC-DMIS supports.

  • MSI (Multi-Sensor Interface) connectivity – Displays the supported version of the HAL interface for this MSI.

  • HSI (Hardware Specific Interface) – Displays the HSI used during execution. This component controls the specific hardware device.

  • CMMI (Coordinate Measuring Machine Interface) – Displays the name of the CMMI interface to be used. Click Setup... to open the Machine Interface Setup options for the CMMI controller.

You should provide this information to your PC-DMIS technical support group when you report problems.


Timer Interval

The Timer Interval box indicates the maximum time that PC-DMIS Vision will wait before asking the stage hardware for position status and reading any messages from the hardware.

Caution: Unless directed by a trained technician, do not alter this value.


Machine Options: Motion tab

Machine Options dialog box—Motion tab

The Motion tab allows you to define the movement parameters of your machine. Your service technician has already set your motion options during the installation of this system.

More:

Homing Enabled Checkbox

Travel Limits and Volumetric Compensation areas

Max Speed box


Homing Enabled Checkbox

You only need to perform the homing operation if you want to use the stage with a fixture. This operation establishes the machine’s zero location. With this check box selected, PC-DMIS will home the machine when it starts. Some hardware may retain its homed state until you switch it off. If the hardware does not need homing, or if it isn’t configured for homing, selecting this check box will not have an effect.


Travel Limits and Volumetric Compensation areas

These areas specify the travel limits and volume compensation of your machine. The service technician has already determined the best travel limits and volume compensation values for your system. Only a trained service technician should run the stage calibration utility. The dialog displays the date/time when the last stage calibration was performed.

Caution: Unless directed by a trained technician, do not alter these values.


Max Speed box

The Maximum Speed edit box indicates the speed of DCC moves. If you find that you need to modify the move speed percentages, it is better to make any changes from the Motion tab of the Parameter Settings dialog box.

Caution: Unless directed by a trained technician, do not alter this value.


Machine Options: Optics tab

Machine Options dialog box—Optics tab

The Optics tab allows you to ensure that the Focal Center of the optics coincides with the Video Frame center. This calibration process makes certain that there Par-centricity exists between the Focal Center and Video Frame. No physical change takes place in the video camera or stage in any way. Any changes you make will appear only in the LIVE View of the Graphics Display window.

Caution: Your service technician has set the initial displayed values. If you make any physical changes to the optics or camera relative to the optics, the optical center values will need to be re-evaluated.

More:

Optical Center Area

Current Manual Position Area

Steps to Ensure Par-centricity


Optical Center Area

PC-DMIS Vision supports any size of Video Frame, though the most common is 640 X 480 pixels. Edit the values in the X and Y Pixel boxes to adjust the position of the optical center of the video frame.


Current Manual Position Area

The Current Manual Position indicates the location of the Cross Hair after you have clicked the Move Center arrows. Clicking Update will accept the changes that have been made in the process to ensure par-centricity, and copy them to the Optical Center area. See “Steps to Ensure Par-centricity” for more information.

Move Center Area

Clicking on the arrows in the Move Center area will move the cross-hair accordingly.

Magnification Area

The ++ icon will set the magnification to the highest level (with the lens completely zoomed in, you may need to adjust the lighting to see clearly).

The -- icon will set the magnification to the lowest level (with the lens completely zoomed out, you may need to adjust the lighting to see clearly).


Steps to Ensure Par-centricity

Par-centricity ensures that the center of the video frame coincides with the focal center of the video camera.

  1. Open the Gage tab in the Probe Toolbox (see the Gage tab topic for more information).

  2. Select the Cross Hair gage.

  3. Make sure that the center of the Cross Hair is exactly at the FOV center.

  4. Access the Machine Interface Setup dialog (shown above) and select the Optics tab.

  5. Click the ++ icon to go to the highest magnification level. Adjust lighting as needed.

  6. Identify a small dust particle, and roll the track ball so that the center of the cross hair coincides with the dust particle.

  7. Click the -- icon to go to the lowest magnification level. Adjust lighting as needed.

  8. If the center of the Cross Hair does not coincide with the "dust", click the arrow on the screen to align the Cross Hair with the "dust". After the “dust” is aligned, repeat steps 5 through 8.

  9. When the result is acceptable, click Update.


Machine Options: Illumination tab

Machine Options dialog box – Illumination tab

The Illumination tab allows you to select the lamps that are installed on your machine from those available from the machine vendor.

Select the check box next to the lamps that are physically installed on your machine from the Available Lamps list.

When online, this tab also allows you to calibrate the lamps. Calibration ensures that the illumination range is linear, and that changing magnification on zoom cells will not significantly change the illumination on the part.

For specific information on calibrating these lamp settings, see the "Calibrating the Machine's Lamps" topic.

More:

Illumination Calibration


Calibrating the Machine's Lamps

The Calibration area of the Illumination tab indicates when each lamp was last calibrated, and allows a new calibration to be started (online mode only).

You should calibrate your optical system's lighting at these times:

  • Whenever you change or replace a lamp you should recalibrate that lamp

  • Whenever you have a significant change to the lighting within the room

  • Periodically throughout the life of the lamp

To perform a lamp calibration:

  1. Select the lamp's check box from the Lamp Calibration list.

  2. Click the Calibrate button.

  3. The Illumination Calibration dialog box will appear. Follow any on-screen instructions.

More

Illumination Calibration


Illumination Calibration

The message displayed in the Illumination Calibration dialog box will depend on the type of lamp:

  • Sub-stage (bottom/profile) lamps require the stage to be cleared during calibration, with the image focused on the stage.

  • Top (surface/ring) lamps require an artifact or piece of paper to be in the Field of View, with the image focused on the surface.

Illumination Calibration dialog box

Using this dialog box, follow these steps to calibrate this lamp:

  1. Click the Measure button to begin the calibration process. The process takes several minutes.

  • During calibration on systems with a zoom cell, PC-DMIS Vision selects different magnifications for illumination measurement as indicated by the Mag Step value. This value displays the current magnification and corresponds to the value displayed in the Magnification tab of the Probe Toolbox.

  • The calibration also sets the illumination intensity corresponding to the different commanded illumination values at different magnifications. The Lighting Grayscale indicates the intensity of this illumination. The values range from 0 (black) to 100 (white).

Illumination Calibration dialog box showing Mag Step and Lighting Grayscale

  • Once the calibration is complete the Illumination Calibration dialog box displays a message indicating the name of the newly created illumination file. PC-DMIS Vision uses this file whenever this specific light is used in the measuring process:

Illumination Calibration dialog box showing the name of the created illumination file

  3. Click the Close button to complete this lamp's calibration and to optionally calibrate another lamp.

  4. The Abort button is only available during a calibration. This button stops the calibration, aborts any data collected during the process, and reinstates any pre-existing calibration files for the current lamp.


Machine Options: Pendant tab

Machine Options dialog box – Pendant tab

The Pendant tab allows you to define the speed parameters for your manual control box. Your manual control box is the hardware component PC-DMIS Vision uses to manually drive your optical probe toward and away from features you want to measure. This manual control is either a joystick or a joystick and a trackball.

Most optical systems provide just a joystick while some systems provide both a joystick and a trackball. You can change the speed that the optical probe will use by altering the values in the boxes provided. The speed is listed in mm per second.

More:

Joystick

Trackball


Joystick

If your system supports a joystick, you should use the joystick for fast adjustment of the optical probe. Use the Joystick Speed and Joystick Z Speed boxes to specify the speed used to drive the optical probe into range of the video measurement. Speed is measured in terms of millimeters per second. The maximum or minimum values that you should use depend on your specific system. Consult your optical measuring system’s documentation for any speed restrictions.


Trackball

If your system supports a trackball for manual control, you should use the trackball for fine adjustment of the optical probe. Use the trackball once the optical probe is in position and you want to take the video measurement on the part.

  • To improve the slow trackball speed response, increase the Trackball Speed Linear Factor.

  • To get a higher speed response, increase the Trackball Speed Exponential Factor.

If you are using a RAM system, the default settings are 0.2 for the Trackball Speed Linear Factor and 0.003 for the Trackball Speed Exponential Factor.


Machine Options: Motion Controller Communication tab

Machine Options dialog box—Motion Controller Communication tab

The Motion Controller Communication tab allows you to specify the communications port and settings used to connect your computer to your optical measuring device’s motion controller.

Note: For TESA Visio1 machines there is a single “Machine Controller” tab for Motion and Illumination.


Machine Options: Illumination Communication tab

Machine Options dialog box—Illumination Communication tab

The Illumination Communication option allows you to specify the communications port and settings used to connect your computer to the Illumination instruments used by your optical measuring device.

Note: For TESA Visio1 machines there is a single “Machine Controller” tab for Motion and Illumination.

See the "Generating a Debug File" topic in the main PC-DMIS help file for more information on generating a debug file.


Machine Options: Debug tab

Machine Options dialog box—Debug tab

PC-DMIS Vision has the ability to generate a file that records any communication between the software and the hardware during the execution of your part program. This ‘debug’ file is useful in determining the cause of any problems that you might be having with your optical measuring system.

See the "Generating a Debug File" topic in the main PC-DMIS help file for more information on generating a debug file.


Calibrating the Optical Probe

Besides calibrating the actual lamps on the machine, there are two probe components you will need to calibrate before you can begin measuring with your optical device:

  1. Magnification Calibration: In most cases, you’ll need to calibrate the optical magnification before you can measure with your optical probe. This calibration identifies the size of the field of view throughout the zoom cell's magnification (mag) range or with a given optic’s configuration. Follow the manufacturer’s guidelines on optical calibration intervals. You will need to recalibrate the optical magnification any time the zoom cell or microscope is altered (such as when it is sent in for repair). To begin this calibration process, access the Probe Utilities dialog box, select the probe and tip, and then click on the Measure button.

Note: If your zoom cell automatically calibrates, then you won't need to perform a specific magnification calibration. Instead, you will receive a message that the calibration is done as needed.

  2. Multi-Sensor Cross Probe Calibration: If your optical probe is used in a multi-sensor configuration, then the position of the video probe must also be correctly calibrated and positioned in order to properly measure with the multiple probe types. The procedure for calibrating the optical probe position or offset will be similar to that used for the contact probe.

At the time of this printing, this calibration functionality was undergoing changes. Please check the Wilcox Associates Web Site for possible updates to this documentation.

Important: Make sure that all illumination calibrations have been completed before calibrating your probe(s). See the "Machine Options: Illumination tab" for information on how to do this.

More:

Multi-Sensor Calibration

Vision Probe Calibration


Multi-Sensor Calibration

To calibrate your optical probe, you must first define a probe (or probes if you're using a multi-sensor machine). For a Vision machine, the hardware components are minimal. Once you identify your machine model, you can then select from a list of sub-components.

For information on how to define a probe used in the inspection process, see the "Defining Hardware" section in the main PC-DMIS help file.

The Probe Toolbox displays the Probe and Tip Definition lists. These lists allow you to select defined probes and lenses. The Probe Toolbox identifies the type of probe selected by an icon in the list.

Probe Type | Icon | Calibration Instructions
Contact Probe |  | See the "'Measure" topic in the "Defining Probes"section of the main PC-DMIS help file.
Laser Probe |  | See the "Calibrating Less Common Probes" section in the main PC-DMIS help file.
Vision |  | See the "Vision Probe Calibration" topic below.


Vision Probe Calibration

The PC-DMIS Vision module provides a similar calibration procedure for a video probe to that of a contact probe in PC-DMIS.

It is a multi-step process to calibrate your Vision Probe. The following documentation only highlights the process during those points where you may be involved.

  1. Define the appropriate hardware in the Probe Utility dialog box.

  2. Click the Measure button. The Optical Calibration dialog box appears.

Optical Calibration dialog box

Important: Do not move the calibration standard throughout the calibration process.

  3. Select the option button in the Calibration Standard area of the Optical Calibration dialog box that corresponds to the type of calibration standard you received with your system. Supported standards include:

  • Hexagon Metrology Slide

  • ROI Concentric Rectangle Slide (ROI machine only)

  • ROI Solid Square Slide (ROI machine only)

  4. Specify the Numeric Aperture of the current lens if known, otherwise leave this box blank. This value allows the calibration program to optimize the focus used during the calibration.

  5. Specify the Focus Range if no Numeric aperture is given. This provide the range over which the focus will be done.

  6. Select the Illumination source. Calibration is usually best done using bottom/sub state lighting as the edge contrast is sharper.

  7. Click the Measure button. A message box appears stating that your calibration standard must be clean and aligned with the X axis.

Caution: A dirty calibration standard may trigger calibration failures or yield improper measurement values. Be sure to clean any dust, dirt, fingerprints, or other material from the calibration standard's glass portion. A mild non-depositing cleaning solution, such as rubbing alcohol, and a soft, lint-free cloth are commonly used. Be sure to also clean the stage glass where you will place the calibration standard. For proper cleaning techniques, refer to your hardware documentation. If the stage carrying the glass standard will move during the calibration sequence, you should gently hold the standard to the stage with clay or putty.

  8. Place the calibration artifact on the stage so the length of the standard runs along the X axis of the machine. While you don’t need to align it perfectly, you should ensure that it remains within 5% rotational tolerance. For the ROI slides, ensure that the larger targets are on the left (-X direction) and the smaller targets on the right (+X direction).

  9. Click the OK button. Additional messages appear requesting that you center the target.

  10. Place a target so that it completely fits within the camera's view. This target should be roughly centered within the field of view and be in focus.

  11. Click the OK button and if you have a DCC machine, it will automatically focus on the target. If you have a manual machine it will ask you to focus on the target.

  12. Use the manual controls to move the optical measuring system until you center the rectangle or square calibration standard in the field of view. PC-DMIS determines the target size based on your optics and lens.

Important: Do not change the Z position or the focus during the rest of the calibration procedure.

  10. Click the OK button after you have centered the target. The calibration process will automatically begin.

  • If the machine supports DCC illumination control, PC-DMIS Vision performs a lighting grayscale adjustment where it measures the target (or series of targets) across the range of magnifications.

  • If the system has Manual Illumination control, you will be prompted to increase or decrease the illumination level as required.

  • The system moves to the next target as needed, or on a manual-only stage, PC-DMIS Vision prompts you to move to the next target. When it prompts you for manual movement of the stage, you should make the X and Y values displayed in the message box as close to zero as possible. A message appears once the calibration process finishes.

  11. Click the Close button to close the Optical Calibration dialog box.

You have now calibrated your vision probe. Repeat this process for each lens you wish to use on the machine.


Calibrating the Vision Stage

The Vision Stage Calibration utility is used to generate and apply XYZ error correction factors on vision machines. The calibration process consists of a calibration run and one or more verification runs for each axis. Upon completion, a new compensation file will be created. The new compensation data will be applied the next time that PC-DMIS starts.

Continue with the following steps to complete the stage calibration process:

Step 1: Begin th e Calibration Process

Step 2: Stage Calibration Setup - General tab

Step 3: Stage Calibration Setup - Standards tab

Step 4: Stage Calibration Setup - Report Information tab

Step 5: Running Stage Calibration

More:

Vision Stage Calibration Dialog Box Options


Step 1: Begin the Calibration Process

To calibrate your Vision Stage:

  1. Select the Edit | Preferences | Machine Interface Setup menu option to open the Machine options dialog box.

Machine Options dialog box

  2. Select the Motion tab.

  3. Select the Volumetric Compensation Method. For the BNS method, you must use the Filename of “comp.dat”.

Note: Currently only the BNSMethod is available.

  4. Click the Calibrate... button.

Note: The Calibration Date for the last completed stage calibration is shown.

If the last calibration session was cancelled, you will get the prompt below.

  5. Click Yes, If you know the content and wish to use the partial calibration data. The utility will try to resume the previous stage calibration by restoring the data collection, settings, etc. Click No, to begin a new stage calibration.

The Vision Stage Calibration dialog box appears.

Vision Stage Calibration dialog box

Go to the Next Step...


Step 2: Stage Calibration Setup - General tab

Select the Setup... button from the Vision Stage Calibration dialog box to verify that the current settings are correct. Click OK when finished.

General Tab

The General tab contains basic settings for the calibration processing.

Vision Stage Calibration Setup dialog box - General tab

Motion: The motion type of your Vision stage is selected.

Note: Currently only the manual motion type is supported.

Units: Selects the units to be used in the display for the calibration sequence. This is independent of the current units in the PC-DMIS part program or the units for any of the calibration standards.

Auto Fill Std Value: This option is set to have any known standard certification data automatically entered during the calibration and verification processing. To use this feature, data must be entered in the Standards tab to define the standard for the axis.

Focus

Mode: Mode used for the Z measurement.

  • DCC is an automatic DCC focus sequence. This would normally be used on a DCC machine with hard gages.

  • Assisted Manual will have the user moving the stage as the software analyzes the image for optimal Z focus. This would normally be used on manual machines with hard gages.

  • Manual is manual stage motion and no software image analysis. This would normally be used with gages and a dial indicator or with an interferometer.

Sample Size: Determines how many focus values will be taken to determine a single Z position.

Range(mm): This defines the motion range in millimeters. This applies to DCC focus only.

Time (seconds): Provides the focus motion time or duration in seconds. This applies to DCC and Assisted Manual focus.

High Accuracy Pass: Indicates if additional adaptive processing will be done in an attempt to get an improved focus. This applies to DCC mode only.

Go to the Next Step...


Step 3: Stage Calibration Setup - Standards tab

The Standards tab contains settings which allow you to associate standard certification with a file and axis.

Axis: Specifies the axis to which the certification data applies.

Open: Used to open or import an existing standard certification file to be used for the selected axis.

Edit: Used to bring up the Standard Properties dialog box to edit the standard certification file data.

Save: Used to save the standard certification data to a file. Note that this can be used to save data that was entered in the Standard column during the calibration or verification runs. For example, if you processed the X axis and entered the X axis data, you could save the data to file, select the Y axis, and open the file to use the standard data from the X axis for the Y axis calibration.

The Standard Properties dialog box is launched from the Edit button.

Standard Properties dialog box

Description: A short description of the calibration standard, such as 100 millimeter linear. This will be used in generating the calibration certification document.

Serial Number: The standard serial number is used in generating the calibration certification document.

Units: Used for setting the units of the calibration standard.

Date: Specifies the certification data of the standard. This will be used in generating the calibration certification document.

Data: Certification values for the standard. This standard can then be associated with an axis to allow automatic data entry and reuse. The first value would normally be zero, as that would be the starting point on a hard gaging certification.

Note: Editing the Data list follows standard Windows list box editing. If you don’t see an edit box in the list, click at the bottom of the list. An edit box will appear as shown in the Standard Properties dialog box image.

Insert: Used to insert a value in the Data list.

Delete: Used to delete a value in the Data list.

Go to the Next Step...


Step 4: Stage Calibration Setup - Report Information tab

The Report Information tab allows the entry of basic calibration process information. This will be used in generating the calibration certification document.

Vision Stage Calibration Setup dialog box - Report Information tab

Technician: Technician name and company conducting the calibration.

Machine: Machine description, make, model, etc.

Serial Number: Serial number of the machine being calibrated.

Notes: Enter descriptive information about the calibration, such as any environmental information, possible machine anomalies, etc.

Go to the Next Step...


Step 5: Running Stage Calibration

After setting up the calibration, run the calibration and verification sequence. See the "Vision Stage Calibration Dialog Box Options" for additional information about the calibration options.

  1. Select the Axis of the stage axis being calibrated.

  2. Select the Compensation Factor to be used during calibration.

  3. Select the Method for how the Factor will be compensated. For example, a linear calibration can be done using a Linear or Segmented Linear method.

  4. Select Calibrate for the current processing Mode. During Calibrate mode the data is being collected. Verify will be selected in Step 9.

  5. Run shows the active calibration run.

  6. Click Start to begin the stage calibration.

  • You may be prompted to align the standard to the stage. This supports proper alignment of linear standards.

  • You may be prompted to move to the zero position on the standard and zero out the stage position. Doing so will synchronize the dialog relative position display with the standard values and make the data easier to understand.

  7. Move to the zero position on the standard.

  1. If not automatically entered from standard definition in the Stage Calibration Setup dialog box, enter the standard value into the Standard column in the Data list box.

  2. Position the stage and crosshair to the standard target position

  3. Select Record Point. If doing Z axis points based on focus, a Focus dialog box will be displayed for doing the focus processing.

  4. Repeat this for subsequent standard targets until all of the targets have been taken or the stage axis has been traversed.

  8. Select Done. You will be asked if you are done with this run or if you need to reposition the standard and continue. This is sometimes necessary when the standard is smaller than the stage travel.

  9. Change the Mode to Verify if this was not done automatically. During Verify the error correction is being applied.

  10. Repeat the steps 6 through 8. This will run the data collection sequence with error correction applied. It is suggested that you do 3 verification runs.

  11. Repeat the Calibrate and Verify sequence for each axis (Steps 1 through 10).

  12. When completely finished, select the OK button to finish. A basic certification summary file, CERT.TXT, of the calibration process will be created in the PCDMIS install directory (normally C:\Program Files\WAI\PC-DMIS V4.0).

  13. To have the correct values applied, stop and start PC-DMIS.

See the "Vision Stage Calibration Dialog Box Options" topic for more information.


Vision Stage Calibration Dialog Box Options

Vision Stage Calibration dialog box

Axis: The stage axis being calibrated.

Factor: The compensation factor being calibrated.

Method: Method is how the Factor will be compensated. For example linear calibration can be done using a Linear or Segmented Linear method.

  • Linear will use a single error compensation factor for the entire travel of the stage. This is normally used on stages which do not have repeatable home positions.

  • Segmented Linear will use a different compensation factor for each segment or zone of the axis travel and needs a repeatable machine position initialization.

Mode: The current processing mode, either Calibrate or Verify. During Calibrate the data is being collected. During Verify the error correction is being applied.

Run: Displays the active run.

OK: Signals that the calibration sequence has been completed and that the calibration data should be applied in PC-DMIS.

Cancel: Cancels the calibration session. If you cancel and restart the stage calibration sequence, the utility will try to resume where you left off last. The data collection, settings, etc will be restored to when you last cancelled out of the utility.

Setup: Opens the Stage Calibration Setup dialog box.

Start: Begins the data collection sequence as defined by the axis, factor, method, and mode.

Abort: Stops the current data collection run.

Done: Completes the current data collection run. If a run has already been executed for this axis, the data completion processing will happen automatically on subsequent runs when the data count has been repeated.

Delete Run: Deletes the run as specified by the axis, factor, method, mode, and run.

Record Point: Takes the standard value entered, records the stage position, and adds this to the data collection.

Data List Box: Shows the standard value, stage position, and variance for the current data collection. As you change the axis, factor, method, mode, and run, the display will show the corresponding data collection.

Position Area

Zero: Sets the relative position to zero. It can be useful to move to the zero position on the standard and zero out the position display. This way the Relative position display will very closely match your standard during processing.

Absolute/Relative: This toggle button indicates the current position display mode. The current position display value is indicated by the button label.

Current: Displays the current stage position. Note that if in verification mode this value have error correction applied.

Max Error: Displays the maximum error.

Max Error (Corrected): Provides an estimate of the maximum error with the current best correction factor applied.


Using the Probe Toolbox in PC-DMIS Vision

Probe Toolbox showing the available Vision related tabs

Display Menu Roadmap The View | Probe Toolbox menu option displays the Probe Toolbox.

The Probe Toolbox is not specific to PC-DMIS Vision, but is part of the standard PC-DMIS software. This toolbox presents tabs and information relative to the type of probe currently being used. When a vision probe is active, the Probe Toolbox contains various optical probe parameters used to acquire the data points needed by part programs.

Important: Your portlock must be programmed with the Vision option and a valid Vision Probe Type selected, and you must be working with a supported optical probe in order to access the various PC-DMIS Vision related tabs.

The Probe Toolbox contains the optical parameters within these tabs:

  • Position Probe

  • Hit Targets

  • Magnification

  • Illumination

  • Focus

  • Gage

  • Feature Locator (available only during program execution)


Probe Toolbox: Position Probe tab

Probe Toolbox—Position Probe tab

The Position Probe tab allows you to position the probe/camera so it is over the feature to be measured, as a form of “Virtual Joystick”.

To Position Your Vision Probe:

  1. Click the Lock icon [image] for any axis that you would like to restrict movement. See the "Locking Axes for Optical Measurements" topic.

  2. Adjust the Increment Value in the Increment edit box [image] to specify the amount that the Current Position edit box will be increased or decreased.

  3. Click the Up and Down arrows to change the value in the Current Position edit box [image]. This will cause your Vision Probe to move in real time by the specified value. Alternately, you may type the value and hit enter to cause your Vision Probe to move.

For machines with multiple axis (e.g. two rotary tables), it also allows the currently active rotary table to be selected.

If you don't see any information in the Probes and Probe Tips lists of the Probe Toolbox, you need to first define a probe. See the "Defining Probes" section in the main PC-DMIS help file on how to do this.

Note: Since you can use this tab with all probe types (contact, laser, or optical), this help file only covers PC-DMIS Vision related items. For information about the toolbox as it relates to probes in general, see "Using the Probe Toolbox" in the main PC-DMIS help file.

More:

A Note on Optical Tips

Locking Axes for Optical Measurements

Using the Probe Readout window with Optical Probes


A Note on Optical Tips

The concept of an optical probe parallels a contact probe to a certain point. Obviously an optical probe doesn't come in physical contact with the part, but both contact probes and optical probes use the term "probe tip" to specify various positions of an articulating probe head. The actual tip on an optical probe contains the optical device (the camera).

If you select a probe from the Probes list or a probe tip from the Probe Tips list, PC-DMIS Vision inserts a LOADPROBE/ command or a TIP/ command respectively into the Edit window.

When PC-DMIS Vision executes these commands, it performs its associated probe definition.


Locking Axes for Optical Measurements

For measuring 2D parts, after you set your height (the Z value) for your optical camera, you should lock the Z axis by clicking the Lock Z Axis icon [image] . You can then click anywhere on the CAD and the machine will be able to move freely in the X, Y plane, but the Z movement won't take place.

The locking option works for all probe types. Click one or more axis icon to lock the machine's axes from movement in one or more directions.

Note: This locking option only prevents the simulated probe from moving in a locked direction. This option does not lock the controls on your joystick.

Clicking the Remove Hit icon removes the anchor point hit you just took using the left mouse click. This button remains disabled until you have entered an anchor point hit.


Using the Probe Readout window with Optical Probes

Clicking the Probe Readout icon displays the Probe Readout window. You can easily resize or relocate this window.

Probe Readout window

Most information on the Probe Readout window is the same for all probe types and is already discussed in the "Using the Probe Readout Window" topic of the "Using Other Windows, Editors, and Tools"section in the main PC-DMIS help file. However, if you use an optical probe, these additional readouts appear in the window:

Mag This value shows the current camera magnification setting. Any changes you make in the Magnification tab are reflected on this line of the Probe Readout window. See the "Probe Toolbox: Magnification tab".

VX / VY / VZ If you are using an optical probe, the X, Y and Z values indicate the co-ordinates of the cross hair at the center of the field of view (FOV). The VX, VY and VZ values indicate the feature location with respect to the current alignment.

DX / DY / DZ The DX, DY and DZ values indicate the difference between the camera and feature position. You must have the Distance to Target option selected in the Probe Readout Setup dialog box for these values to be displayed. For more information, see the "Setting Up the Readout Window" in the "Setting your Preferences"section of the main PC-DMIS help file.

Probe Readout Setup dialog box showing the Distance to Target check box


Probe Toolbox: Hit Targets tab

Probe Toolbox—Hit Targets tab

This tab only appears when you define and use a supported optical probe.

The Hit Targets shows the edge detection parameters that will be used to measure a feature.

When using an optical probe you will want to make adjustments and test your targets. This option also allows you to split the default target to into sub-targets, each with its own set of parameters. For example, you can measure a circle using the default single target or split the circle into individual arcs each with their own set of target parameters. These target parameters include edge detection method, illumination, point density, etc.

Targets are displayed in both the Live View and the Cad View. While it’s possible to size the targets in either view, the targets are two dimensional so it's easier to do this on the Live View which also uses a two dimensional display of the part.

A feature’s targets and their associated parameters used are also displayed as a row in the tab's target list. You can define more than one target. If you select one or more targets from this list you can see them in bold formatting in the Live View tab of the Graphics Display window.

Double click on the items in the list to change the parameters for a target. You can change multiple targets at the same time by selecting multiple target rows in the Probe Toolbox and then right clicking.

More:

Available Parameter Sets

Using the Shortcut Menu

Hit Targets icons

Show Measured Points and Outliers icons

Hit Target Color

Nominal Color

Measuring Features Using an Optical Probe

Gage Hit Target Feature Parameters

Manual Hit Target Feature Parameters

Automatic Hit Target Feature Parameters

Automatic Hit Target Focus Parameter Set


Available Parameter Sets

You can change the parameter set to change which type of target parameters you are currently viewing.

Depending on the feature type that you are targeting, the parameter set option displays one or more of the available options: Edge, Focus, and Filter.

Edge: Defines the target edge parameters used for acquiring the edge points on the feature.

Focus: Defines whether the target should perform a focus prior to acquiring the edge points, and if so, what the focus parameters are.

Filter: Defines any filters to be used on the acquired edge points, and their associated parameters. Filters can be used to remove any outliers from the set of edge points, and can also clean the image prior to measurement.

Icon | Feature Type | Available Parameter Sets
 | Surface Point | Focus
 | Edge Point | Edge, Focus
 | Line | Edge, Focus, Filter
 | Circle | Edge, Focus, Filter
 | Slot (Round and Square) | Edge, Focus, Filter
 | Profile 2D | Edge, Focus, Filter


Using the Shortcut Menu

From the Live View, if you right click on the target, a shortcut menu appears. This menu allows you to insert and delete segments or targets, reset hit targets, change the point density, test the edge detection of the currently selected target(s) and change hit target types.

Similarly clicking on the Live View tab, but not on a target will provide a menu to adjust magnification, capture the screen or open the Live Image Setup dialog box.

See the "Using Shortcut Menus" topic in the "Using the Graphics Display Window in PC-DMIS Vision" for more information.


Hit Targets icons

In addition to operating on the target from the Live View described above, the icons shown in the Hit Targets tab in the Probe Toolbox let you edit and test the targets used to measure the feature.

See the following table for a list of Target Edit Modes and what these icons do:

Define Target Icon

Description

The Lock Hit Targets to Part icon secures the size, position or rotation of the target.

The Center Hit Target icon centers the target or FOV. What actually moves depends on the status of the Lock Hit Targets to Part icon.

If first select the Lock Hit Targets to Part icon, and then select the Center Hit Targets icon, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you deselect the Lock Hit Targets to Part icon, and select the Center Hit Targets icon, the target moves to the current FOV.

The Insert New Hit Targets icon inserts a new target area. You can then set up different parameters for this specific area of the feature.

The Delete Hit Targets button will let you delete a previously inserted target from the feature.

The Reset Hit Target(s) icon deletes all of the previously inserted target areas from the feature, leaving the single default target.

The Test Hit Targets icon tests the automatic Target Edge detection for the currently selected target(s). PC-DMIS Vision displays any detected points in the Live View tab of the Graphics Display window.


Show Measured Points and Outliers icons

With optical features, you can turn on outlier filtering for each edge target, and specify the weight of the filter.

You set target filters in the Hit Targets tab by selecting the Filter Parameter Set. While outliers are not included in the calculation of the feature, at times you may find it useful to see them. PC-DMIS Vision draws outlier points in a different color to differentiate them from measured points.

See the following table for descriptions of showing Measured and Outlier points.

* | The Show Measured Points icon shows the image processing data points used to measure the feature on the Live View. It will not display outliers unless you also select Outliers icon.
* | The Show Outliers icon shows the image processing data points used to measure the feature with outliers when measured points are also displayed. It will not display outlier in the Live View along with the measured points, if the Show Outliers icon is selected.


Hit Target Color

To differentiate between features, or to ensure visibility on different types of surface, you can specify different colors for the feature hit targets, by selecting a color using the Hit Target Color list.

The Hit Target Color drop down box specifies that color that will be applied to the feature hit targets


Nominal Color

To differentiate between features, or to ensure visibility on different types of surface, you can specify different colors for the feature nominal, by selecting a color using the Nominal Color list.

The Nominal Color drop down box specifies that color that will be applied to the feature nominal line


Measuring Features Using an Optical Probe

You can specify the measurement method to use by selecting it from the Target Type list in the Define Targets tab. Depending on your feature type, there are up to three methods of taking a feature measurement using an optical probe:

The following examples use a circle feature.

Method 1: Gage Hit Target – The Gage Hit Target manual method requires you to graphically size (or adjust) the feature (in this case a circle) and position it to match the feature on the Live View tab of the Graphics Display window. For a circle, this will give an X, Y position and the diameter. Parameters for this mode are discussed in the "Gage Hit Target Feature Parameters" topic.

Method 2: Manual Hit Target – The Manual Hit Target method requires you to position a specified number of points around the feature (in this case a circle). PC-DMIS Vision then uses these points to calculate the feature. Any number of targets can be used to aid in measuring the feature. Parameters for this mode are discussed in the "Manual Hit Target Feature Parameters" topic.

Method 3: Automatic Hit Target – The Automatic Hit Target method uses image processing to automatically detect a feature (in this case a circle). It then calculates the circle based on the defined targets. Parameters for this mode are discussed in the "Automatic Target Feature Parameters".


Gage Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Gage measuring method (see "Measuring Features Using an Optical Probe" for available measuring methods):

Edge Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".


Manual Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Manual Target measuring method (see "Measuring Features Using an Optical Probe" for available measuring methods):

Edge Parameter Set

To change a value, double click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set. To change a parameter for multiple targets at once, select the targets, and then right click on one of them and change the value. It will be updated for all.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".


Automatic Hit Target Feature Parameters

The following parameters appear in the column headings of the target list in the Hit Targets tab when measuring features using the Automatic Target measuring method (see "Measuring Features Using an Optical Probe" for available measuring methods):

More:

Edge Parameter Set

Filter Parameters Set


Edge Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Density: This shows the hit density type for the current target. Available density types include:

  • None: Does not return points. Use this type when excluding a region on the target. Excluded regions are indicated with a cross-hatch pattern on top of the feature.

A target with an excluded region shown by the cross-hatch pattern

  • Low: Returns a minimal number of points. Use this density type if your feature form doesn’t change much in this area, or isn’t a critical area of your part.

  • Normal: Returns the default number of points for that feature type.

  • High: Returns the maximum number of points. Use this density type if your feature form changes drastically in this area or is considered a critical area of your part.

Under Scan: This defines (in current units) the under scan distance applied to non blending areas within a target (for example, a corner made from two edges). PC-DMIS Vision doesn't return any points from under scan areas on a target, and the display indicates the ignored area. PC-DMIS Vision will attempt to default the Under Scan value to an appropriate setting.

Edge Selection: PC-DMIS Vision attempts to find and use the most appropriate means of detecting an edge. It supports these methods:

  • Dominant Edge: Often, when using the bottom lamp to illuminate the part, you can get best results by returning the dominant (or strongest) edge.

  • Nearest Nominal: This method detects the qualified edge closest to the nominal edge. This gives you an easy way to select a non-dominant edge for measurement.

  • Matching Edge: This method detects the edge whose size and location best matches that of the required feature. This is the default edge detection method.

  • Specified Edge: This method goes in the currently defined scan direction and picks a specified edge from the detected edges whose strength value exceeds that of the edge strength threshold. The Graphics Display window shows the scan direction using a blue arrow in the target. You can reverse this direction to select edges in a preferred order.

Strength: This shows the edge strength threshold to use during the feature measurement. When looking for an edge, the software ignores edges with an assigned 'strength' below this threshold. You can change the predefined value to a new value with a range of 0-255. The larger the number, the stronger the edge. If PC-DMIS Vision does not return sufficient points on an edge, try reducing this value. If Vision returns a number of false edges detected, try increasing this value.

Hit Target Direction: This value determines the direction that the algorithm will use to count to the specified edge number

Specified Edge #: This value shows what edge to use for the Specified Edge detection method recently discussed. You can specify a value of 1-10.

Edge Polarity: This value determines if the edge that is being viewed and found goes from black to white, white to black, or either.

Illumination: This shows the illumination values to be used for this target. To change the illumination for a specific target, select the target in the Hit Targets tab, or on the Live View tab of the Graphics Display window, and change the illumination on the Illumination tab. For information on how to do this, see "Probe Toolbox: Illumination tab".


Filter Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Clean Filter: This determines whether or not to removes dust and small noise particles from the image prior to edge detection.

Clean Filter Strength: Specifies the size (in pixels) of an object, below which is considered to be dirt or noise.

Outlier Filter: This determines whether or not outlier filtering is required for this target

Distance Threshold (Outlier Filter): This specifies the distance in pixels that a point can be away from nominal before discarding it.

Std Dev. Threshold (Outlier Filter): The standard deviation of a point needs to be away from the other points to make it considered to be an outlier.


Automatic Hit Target Focus Parameter Set

Auto Hit Target Focus Parameter Set

To change a value, right click on the current value for the desired target. If a value says N/A, then that parameter is “not applicable” to the current set.

ID: This displays a unique identifier for the item in the target list. This same ID is used on the ToolTip for the target in the Live View tab of the Graphics Display window.

Focus: This determines whether or not the target requires a pre-edge detection focus.

Range (Focus): This displays the range from the camera to the part. It specifies the distance (in the current units) over which to perform the focus. Using this value the machine searches in the Z direction for the best focal position.

Duration (Focus): This displays the number of seconds to spend searching for the best focal position.

Hi-Accuracy (Focus): This determines whether or not the machine should perform a second, slightly slower, pass-to attempt to improve the accuracy of the focal position.

Illumination-Adjust: This determines whether or not the machine should perform an auto-light adjust prior to focus, in an attempt to achieve optimal focus result. If set to NO, PCDMIS will set lighting according to the learned percentage and the brightness will not be adjusted automatically.


Probe Toolbox: Magnification tab

Probe Toolbox - Magnification tab

The Magnification tab lets you change the current FOV camera magnification. It also provides a way for you to simultaneously view both the Cad View and Live View of the Graphics Display window. For information on using these tabs in the Graphics Display window, see "Using the Graphics Display Window in PC-DMIS Vision".

Two values for magnification are displayed – Optical and Actual.

Optical is the magnification size on the CCD array of the camera. This will not change when the live view display is resized.

Actual is the magnification size on the Live View window. This will increase and decrease as the Live View window is made bigger and smaller.

When the Magnification tab of the Probe Toolbox is open, the Live View displays:

FOV=: This overlay value displays the size of the FOV in the part program units of measurement. This only appears on the screen when you have the Magnification tab selected from the Probe Toolbox.

[0]=: This overlay number reflects your current level of magnification (pixel size). As you zoom in closer to the part this number decreases in size. The closer the number approaches zero, the closer your machine approaches its maximum magnification. This only appears on the screen when you have the Magnification tab selected from the Probe Toolbox.

More:

Simultaneously Viewing the Cad View and the Live View

Changing the Magnification of the Part Image


Simultaneously Viewing the Cad View and the Live View

  • If you select Cad View, the Probe Toolbox contains a mini version of the Live View.

  • If you select Live View, the Probe Toolbox contains a mini version of the Cad View.

Example of the Live View displayed in the Probe Toolbox (left) and the Cad View displayed in the Graphics Display window (right)


Changing the Magnification of the Part Image

On a machine with a DCC Zoom, these are the several ways you can alter the magnification of the part image:

Use the Magnification tab: You can do this by either moving the slider bar up or down, or by typing a value in the box next to the slider. By default, the software uses the lowest magnification to get the largest FOV.

Drag the Green Handles of the FOV: Use the FOV handles in the CAD View to resize the rectangle. Grab any corner of the green box and drag the outline to its desired location. On a DCC stage, the green boxes on the edges (not the corners) allow you to move the location of the FOV, not change its size.

Zoom in Live View: In Live View hold down the right and left mouse buttons simultaneously. Drag the cursor across the view, creating an outline of a box. When you release the mouse buttons, the field of view magnifies in the requested location.

Use the Magnification menu: Select menu items from the Operation | Magnification sub-menu.

Use the Shortcut Menu in Live View: You can also right click within the Live View tab to access the Magnification sub-menu. (Be sure that your cursor isn’t over the target while right clicking.)

Use Shortcut Keys: Use these shortcut keys to alter the magnification in either Cad View or Live View:

Magnify Action | Shortcut Keys
Increase Fine | ALT + *
Increase Coarse | CTRL + *
Increase Maximum | CTRL + ALT + *
Decrease Fine | ALT + /
Decrease Coarse | CTRL + /
Decrease Minimum | CTRL + ALT + /

The numbers displayed next to the top left and bottom right corners of the image in the Field of View box of the Probe Toolbox, indicate the X and Y coordinate values for the FOV. It also displays the current magnification size in pixels.


Probe Toolbox: Illumination tab

Probe Toolbox—Illumination tab

The toolbox's Illumination tab allows you to select which lamps are turned on or off. It also indicates the lamps current light intensity by changing illumination values. The type and number of lamps displayed depends on the machine.

A Top Light is an on axis lamp that is directed through the optical path. It can provide better edge and feature visibility on some parts than other light sources that illuminate from above because the light source isn't as diffused. Since it shines parallel to the optics, it's also easier to see into holes.

A Bottom Light is a lamp that shines from under the stage. It creates a silhouette of the part to be viewed.

A Ring Light is a multi-bulb lamp that illuminates from above. This lamp is normally composed of an array of LED lights arranged in concentric rings or circles. You can usually program the ring light to illuminate a segment or 'pie wedge' of bulbs from one direction. You can control the direction and angle of illumination by illuminating just one of the rings of LEDS, a segment of one of the rings, or individual bulbs.

This tab also allows you to create and store these illumination values in sets termed Quick Sets. Once you create a Quick Set you can quickly and easily recall it to set the lamps on a machine to a specific state (for example, bottom light only, top light only and so forth). Quick Sets can be recalled at any time by selecting the set name from the Quick Set list.

You can easily save your own Quick Sets by pressing the Save button, or delete them by clicking the Delete button.

Important: In order for lamps to show up on the Illumination tab, make sure you have the lamps selected and properly setup within the Machine Options dialog box in online mode or the Offline Setup dialog box in offline mode. See "Machine Options: Illumination tab".

You can perform the following procedures using this Illumination tab:

  • Selecting a Pre-Defined Illumination Quick Set

  • Saving an Illumination Quick Set

  • Deleting an Illumination Quick Set

  • Changing Illumination Values

  • Illumination Calibration Override


Selecting a Pre-Defined Illumination Quick Set

To choose a pre-defined illumination Quick Set, select it from the Quick Set list.

  • If you are running in online mode, your system's lamps will change to reflect the selected Quick Set.

  • If the illumination changes since selecting a Quick Set, the Quick Set list will show an ‘*’ next to the Quick Set name


Saving an Illumination Quick Set

To create a new illumination quick set:

  1. Click the Save Illumination Quick Set icon [image]. The software displays a Save Illumination Quick Set input box:

Save Illumination Quick Set input box

  2. Type a name for the illumination Quick Set. The entire name must fit in the box.

  3. Click the OK button and a new set is created and is automatically selected in the Illumination page.


Deleting an Illumination Quick Set

To delete an illumination set:

  1. Click the Delete Illumination Quick Set icon [image] . The software displays a message asking if it's OK to delete the illumination set.

  2. Click Yes. The software deletes the illumination Quick Set permanently from your system.


Changing Illumination Values

At any one time, only one of the lamps can have it’s settings changed. This is referred to as the “active” lamp, and is the lamp that is not drawn in a “Dimmed” state.

Illumination tab showing active lamp (bottom light)

In the above example, the bottom light (lower left) is active, and the top light and ring light are dimmed.

Changing the Active Lamp's Values:

  1. Click on the toolbox near the needed lamp, or click on the intensity circle within the lamp.

  2. Move the slider bar or type a percentage value in the % box. Only the active lamp will be affected.

  3. Adjust the Lamp Angle [image] to physically alter the angle of lamps that support this capability.

  4. Change the Lamp Color [image] by selecting the LED color of lamps that support multiple color LEDs.

The process for editing Ring Light Illumination values is discussed in the following topics:

  • Ring Light Illumination Values

  • Ring Light Control Modes

  • Positioning Ring Light Bulb Illumination


Ring Light Illumination Values

The process for editing the Ring Light Illumination values is more involved than a Top or Bottom light. Additional controls are provided for Ring lights.

Changing the Ring Light Intensity – You can change the intensity of any lamp by selecting the needed Rings, Sectors, Bulbs or entire ring lamp depending on the "Ring Light Control Modes". Moving the slider bar or typing a percentage value in the % box will change the intensity of the active segments.

Absolute and Relative Controls – For Ring lamps, it is also possible to choose whether an increase or decrease of the bulb intensity should keep their relative differences (RELATIVE ), or should set them all to the same value (ABSOLUTE ).

  • With the Absolute button [image] selected, all of the active LEDs get the same intensity specified.

  • With the Relative button [image] selected, all of the active LEDs keep their relative differences, but all increase or decrease by a specified amount. For example, if the outer ring has intensity 30%, the middle ring 40%, and the inner ring 50% then sliding the slider up by 10% moves them to 40%, 50% and 60% respectively.

Switching a LED On or Off – You can easily switch a lamp on or off by clicking on the specific LEDs graphic in the tab (though not inside the Intensity circle). A red cross through a bulb indicates that the light is off. A highlighted and shaded bulb indicates that the light is on. The number of LEDs affected on a ring lamp depends on the current "Control Mode".

Turning on a Live Image Overlay [image] – If you are using ring lights, you can place a graphical overlay of the lamp to appear in the Live View tab of the Graphics Display window. This overlay allows you to switch bulbs on or off directly by clicking on the overlay of the bulb on the Graphics Display window.

Click the Apply button to actually change the illumination values.

More:

Ring Light Control Modes

Positioning Ring Light Segments


Ring Light Control Modes

Ring lights can be controlled in up to four ways, to make setting the needed lamp's state as quickly as possible.

Change Lamp

Clicking the Change Lamp button will allow you to treat a Ring Lamp as a single bulb. This allows you to quickly set all the separate LEDs to On or Off. You can also change the intensity of ALL the LEDs to a specific value. In the example below, one of the LEDs was clicked and they all turned off.

Change Ring

Clicking the Change Ring button will allow you to treat a ring lamp as a series of rings. This allows you to quickly set all the LEDs in one or more rings to On or Off. You can also change the intensity for one or more rings to a specific value. To select more than one ring, click the first ring then hold the CTRL button while selecting additional rings. Selecting a different ring without holding CTRL, will deselect the previously selected ring.

In the example below, the outer ring is selected (shown as green intensity circle) and the other two rings are not.

Note: Clicking on an LED (anywhere except in the intensity circle) will turn that LED, and the others in that ring, to Off (as shown in the right hand picture above after the top LED was clicked).

Change Sector

Clicking the Change Sector button will allow you to treat a ring lamp as a series of sectors. This allows you to quickly set all the LEDS in one or more sectors to On or Off. You can also change the intensity for one or more sectors to a specific value. In the example below, the intensity can not be set per sector on this lamp, so the intensity circles are grayed out. However, you can set the bulb state for all LEDs in a sector (as shown in the right hand picture after the top LED was clicked)

Change Bulb

Clicking the Change Bulb button will allow you to treat a ring lamp as a series of separate LEDs. This allows you to set one or more of the LEDs to On or Off. You may also change the intensity of one or more of the LEDs to a specific value. Again, in the example below, this lamp can’t cope with changing intensity other than per bulb, so the intensity rings are greyed out. However, you can switch a specific LED bulb on/off by clicking on it.

Note: The availability of these options is dependant on what the hardware supports.

More:

Positioning Ring Light Segments


Positioning Ring Light Segments

In addition to the four control modes, there are four other buttons associated for ring lights that allow you to quickly “re-orientate” the lamp in relation to the to the part.

Clicking the Up button allows bulb positions to be shifted outwards, as seen below.

Clicking the Down button allows bulb positions to be shifted outwards, as seen below

Clicking the Left button allows bulb positions to be shifted counterclockwise, as seen below

Clicking the Right button allows bulb positions to be shifted clockwise, as seen below


Illumination Calibration Override

The Illumination Calibration Override button [image] is used to temporarily switch off the Illumination Calibration. This can be used for features where it is difficult to get enough intensity and you want to force the machine intensity to the maximum.


Probe Toolbox: Focus tab

Probe Toolbox—Focus tab

The Focus tab allows you perform an immediate focus on the part within the rectangular region defined in the Graphics Display window. The software doesn't generate any part program commands using this option.

To perform the focus, use the Live View tab in the window to move or resize the rectangular target over the desired portion of the part, and select one of the Focus icons. The machine focuses on the specified area of the target, displays the optimum focus Z position as an overlay on the Live View tab, and displays the focus curve in a graph.

Important: To get the best focus accuracy and repeatability, focus should be performed at the highest magnification available.

Note: Specific feature focus parameters are set within the Define Targets tab, by selecting the Focus Parameter set. See "Probe Toolbox: Define Targets tab".

More:

Focus Icons

Focus Parameters

Focus Graph


Focus Icons

PC-DMIS Vision provides a number of tools to help you focus your optical hardware:

Focus Icon

Description

The Lock Focus to Part icon secures the size, position, or rotation of the target to the part.

The Center Target icon centers the target or FOV. What actually moves depends on the status of the Lock Target to Part icon.

If you click Center Target with the Lock Target to Part icon already selected, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you click Center Target with the Lock Target to Part icon deselected, the target moves to the current FOV.

*

The Reset Focus Graph icon will clear all data in the Focus Graph.

*

The Manual Focus icon allows the manually move the Z axis while the image processing software attempts to determine the focus position. Manual Focus is usually used for machines with no DCC stage.

The Auto Focus icon actually executes the focus using the set parameters, moving the DCC stage and then returning to the focus Z position.


Focus Parameters

For a machine supporting DCC Motion, the following parameters appear in the column headings of the Focus tab when focusing a part:

Range: This indicates a focal range (in the current units) within which to perform the focus. The search for the best focal position within that range takes place in Z-axis. The available range values vary based on each system’s specific parameters. You can edit this parameter by double clicking and selecting a different value from the list.

Duration: This displays the number of seconds to spend searching for the best focal position. You can edit this parameter by double clicking and selecting a different value from the list. Available list options are one to five seconds. If you increase the duration, you increase the total number of snapshots taken during the focusing process.

Hi-Accuracy: This displays a Yes or No. It determines whether or not the machine should perform a second, slightly slower) pass to improve the accuracy of the focal position.


Focus Graph

Auto and Manual focus will graph the results of the focus by showing the focus score (Y) against time (X). A sharper focus will have a higher focus score.

Auto and Manual focus should result in a rounded curve (an inverted "U"). Use the Manual Focus option when you have no DCC to automatically drive the Z axis. If the graph shows a sharp increase in focus score, try reducing the speed of movement.

Manual Focus Steps:

  1. Roughly find the in-focus position, and then move out of focus.

  2. Click the Manual Focus icon to start the graph and record the focus score.

  3. Move through the focus position by moving the Z axis.

  4. Continue moving the Z axis until you have moved through the focus position, and the graph is a well-proportioned, gradual, inverted U shape.

  5. When you are satisfied with the shape of the graph, click the Manual Focus icon to stop the scan. The detected focus Z position will be displayed in the live image view.

  6. Click the Reset Focus Graph icon to clear the graph data and start this process over if there is a problem.

Note: With manual focus, you need to move the Z stage at a slow and steady speed. You will be warned if you move too fast, or the distance moved was too long or too short.

On some machines, you may find you get a better focus result by moving forward and backward through the focus position 3 or 4 times to get a series of U shapes on the graph.


Probe Toolbox: Gage tab

Probe Toolbox—Gage tab

The Gage tab provides you with a variety of tools called "gages" that allow you to make quick optical comparisons over features that you are measuring without having to create a part program. The gage provides nominal information that you can type into dialog boxes to create the desired nominal feature. You can also capture the information to clipboard or BMP file to paste into a report.

Sometimes called "hand gages", these tools are geometric shapes that appear on your screen. You can manipulate these shapes by rotating, sizing, and positioning them on your part with your mouse to find out nominal information about a particular feature, such as position, diameter, angle and so forth.

Available Gages

There is no automatic image processing associated with these gages, they are simply tools that you visually adjust to fit a feature on the image.

More:

Rotating, Sizing, or Moving Gages

Supported Gage Types and Gage Parameters

Gage Icons

Using a Gage


Rotating, Sizing, or Moving Gages

You can easily rotate, size, or move the gage on the graphical representation of the part. Once you correctly position the gage over a feature, sizing it to fit the shape of the feature, the software dynamically updates information on the gage in the Probe Toolbox as well as the overlay in your Live View tab. You can then use this information as the nominal values of the feature.

Rotate a Gage—Position the mouse over the green dot (some gages don't have a green dot and can't be rotated). The mouse cursor changes to a rounded arrow. Simply click and drag to perform a 2D rotation of the part in either the left or right direction.

Sample rectangular gage being rotated

Laterally Sizing Gages—Position the mouse over a red dot until the mouse cursor changes to a two-way arrow. Click and drag the gage to laterally size the gage either larger or smaller.

Sample circular gage being sized

Note: The Radius Chart gage and the Grid Chart gage don't have a red dot. To size these gages, simply select a part of the gage and drag it.

Moving Gages—Position the mouse over the red crosshair at the middle of the gage until the mouse cursor changes to a four-way arrow. Click and drag the mouse to move the gage to a new location. You can also simply click anywhere on the part and PC-DMIS Vision will move the gage to where you clicked.

Sample circular gage being moved


Supported Gage Types and Gage Parameters

PC-DMIS Vision supports a variety of gage types. Select a gage type from the Gage Type list. PC-DMIS Vision places parameters for the gage inside the Probe Toolbox. Double click these fields to edit them if you need a gage with specific dimensions.

Note: Selecting and editing gages is strictly visual; the software doesn't insert any commands into the part program.

The following table describes each gage type and the lists the parameters used by that gage:

Gage Type icon | Description | Available Parameters |  |  |  |  | Notes
 | Cross Hair Gage. Use this to find a point. | X | Y | Angle |  |  | The Angle is the angle by which you rotate the gage
 | Circle Gage. Use this to find a circle's diameter and center. | X | Y | Diameter |  |  |
 | Rectangle Gage. Use this to find a rectangle's height, width, and center. | X | Y | Angle | Width | Height | The Angle is the angle by which you rotate the gage.
 | Protractor Gage. Use this for finding angles. | X | Y | Angle |  |  | The Angle is the angle between the two lines making up this gage.
 | Radius Chart Gage. Use this to find the relative change in diameter between concentric circles and the center. | X | Y | Spacer |  |  | The Spacer parameter defines the relative change in diameter between circles.
 | Grid Chart Gage. Use this to find the relative distance between horizontal and vertical lines. | X | Y | Grid |  |  | The Grid parameter defines the relative change in distance from one grid position to another.


Gage Icons

The following Gage icons are available while using gages to do optical comparisons.

Gage Icon

Description

The Lock Gage to Part icon secures the size, position or rotation of the gage onto graphical representation of the part. Until you click this icon again, you can't move or edit the gage.

The Center Gage icon centers the target or FOV. What actually moves depends on the status of the Lock Gage to Part icon.

If you click Center Gage with the Lock Gage to Part icon already selected, PC-DMIS Vision moves the current FOV to the target. This is only available on DCC Motion machines.

If you click Center Gage with the Lock Gage to Part icon deselected, the target moves to the current FOV.

The Zero Readouts DXYZ icon resets the Probe Readout window's DXYZ value to the position of the current gage. This allows you to measure distances using gages: position the gage on one feature, click this icon to zero the readouts, move the gage to another feature and then examine the DXYZ values on the Probe Readout window. This is the distance between the two features. See the "Using the Probe Readout window with Optical Probes".


Using a Gage

Gages provide an easy way to compare the geometry of the part to the gage.

To use a gage:

  1. Select the desired gage from Gage Type list on the Gage tab of the Probe Toolbox.

  2. Adjust your machine's lighting, magnification and stage as needed.

  3. Position the gage overlay so that it matches the geometry undergoing inspection.

  4. Use any returned nominal values.


Probe Toolbox: Feature Locator tab

Probe Toolbox—Feature Locator tab

The Feature Locator tab, which only appears at part program execution time when the current feature has specified one, displays a predefined bitmap and/or text telling the operator where to measure a feature at execution time. You define this information in the Auto Feature dialog box. See the “Auto Features Dialog Box in PC-DMIS Vision” topic for more information on setting up Feature Locator graphics and text.


Using the Graphics Display Window in PC-DMIS Vision

PC-DMIS Vision lets you switch between two view modes in the Graphics Display window. They are the Cad View and Live View .


CAD View

Sample Cad View showing the optical probe's field of view

The Cad View is the standard view of the part and works the same way as in the standard PC-DMIS software. For in depth information on the Cad View, see "The Graphics Display Window" topic in the "Navigating the Interface" section of the main PC-DMIS help file.

The green rectangular region shown in the CAD view is the "field of view" (FOV). The FOV represents the view through the video camera. The center of the field of view has a cross hair. On a machine supporting DCC motion, you can click and drag this crosshair to move the FOV to a new location on the part:

Moving the FOV

On a machine supporting DCC optics changing, you can also resize (magnify or shrink) the FOV by dragging the corners of the green box. This will change the current magnification:

Sizing the FOV


Live View

Sample Live View of the Graphics Display Window

If you're in online mode, the Live View tab shows the actual "real time" view from the video camera.

If you're in offline mode, the Live View tab displays a "simulated" view of what a video camera would see, based on the imported CAD drawing. It simulates the geometry and also the illumination. This process is called CAD Camera.

Simulated Live View (CAD Camera)

Tip: You can right click on the image and drag the mouse cursor. This essentially drags the image underneath the camera, allowing you to position the FOV to the new location on the part. This functionality only works on a DCC machine, or when offline.

More:

Live View Screen Elements

Setting up the Live View


Live View Screen Elements

This topic discusses the various screen elements available to you on the Live View tab.

Auto Shutter: When you have established a part alignment, any manual features that you measure with Automatic Targets will make use of a technology called “AutoShutter”.

This will guide the operator to move the stage to get the next feature into the Field Of View, by showing an arrow and a distance to move.

You need to move the stage so the entire dashed rectangle box is comfortably within the Field Of View. Once it is, a coloured light countdown is shown on the Live View where it checks for stage stability, before automatically performing the edge detection on all targets that are within the current Live View.

Note: If a stage movement is detected during AutoShutter, it will discard the points and automatically restart the countdown to measure again.

The countdown period can be specified in the Live View Setup dialog box, and defaults to three seconds. If you wish to switch AutoShutter off, and instead manually confirm the edge detection by pressing “Continue”, you can set the time to 0.

Live View Freeze: This button, when pressed, will “pause” the update of the live view display. This is useful if you want to keep something on the screen to analyze or take a screen capture, but you want measurement to continue in the background. To restart the Live View update, release this button.

Auto Live View Freeze: This button, when pressed, will cause the Live View Freeze button to be automatically pressed on and off at program execution time, so that measured points are frozen on the screen until the next points are measured. This is also useful for machines where “image tear” occurs during stage movements.

Move to Previous Target: This icon moves the FOV to the previous target in a list of targets.

Skip Backwards on Target: This icon moves the FOV part way backwards along a target towards the previous target. This helps you see how an entire feature might be measured, even though the feature does not fit inside the FOV.

Skip Forwards on Target: This icon moves the FOV part way forwards along a target towards the next target. This helps you see how an entire feature might be measured, even though the feature does not fit inside the FOV.

Move to Next Target: This icon moves the FOV to the next target in a list of targets.

FOV Coordinates: The overlay numbers at the top and bottom of the screen, list the X and Y positions for the top left and bottom right corners of the FOV. When right-clicking and dragging other numbers appear in brackets. These show the distance the camera will move.


Setting up the Live View

Live View Setup dialog box

The Live View Setup dialog box appears if you select the Live View Setup menu Display Menu Roadmap or if you right click within the Live View tab and select Setup from the resulting shortcut menu.

This option is only available if Vision is programmed on your Port Lock.

The Live Image Setup dialog box allows you to configure how the image appears in the Live View tab of the Graphics Display window. It contains these controls:

Scale to Fit - This check box determines whether or not the display of the part should be scaled to within the limits of the Graphics Window.

Overlay Information - This check box show or hides the various live image overlay information that appears inside the Live View tab.

Overlay Color - This list allows you to select the color used for most of the overlayed graphics and text on the Live View tab. This affects probe hits, targets, gages, as well as textual information for FOV coordinates, magnification, and focus. The default color is red.

Nominal Line Color - This list allows you to select the color used for the nominal line in the targets.

Snap To Edge - This check box determines whether or not the software attempts to detect the nearest edge and snap target anchor points to that edge when programming features in the Live View tab. The value in the Within Pixels box indicates the distance the software searches for this edge. If you have a blurred edge that you cannot bring into focus, you may find it necessary to deselect this check box to reliably specify anchor points when programming a feature.

Auto Shutter Seconds To Fire – This determines how many seconds the stage must be stationary before auto shutter starts.


Using Shortcut Menus

Two menu shortcuts are available to access commonly used commands and options:

Live View Menu

To access the Live View menu, right click on the Live View tab but not on a target.

Magnification submenu: This submenu gives another way to affect the magnification of the camera's view of the part. This submenu contains menu options that function just like the shortcut keys discussed in "Changing the Magnification of the Part Image".

Screen Capture To submenu: This submenu lets you save a screen capture of the Live View tab to a file, the Clipboard, or to a PC-DMIS report. The currently selected view (Cad View or Live View) will determine which display is captured.

Setup: This menu option accesses the Live Image Setup dialog box. See “Setting up the Live View”.

Live View Target Menu

To access the Live View Target menu, right click on a target in the Live View.

Insert Nominal Segment: To add a segment, right-click at the needed location and select the Insert Nominal Segment menu option. This will add a handle to the target that you can drag to match the geometry of the target. For example, there may be a V notch on a straight edge that you need to add to the target.

Delete Nominal Segment: To delete a segment, right-click on the handle select the Delete Nominal Segment menu option. This will remove the selected handle. This is useful to "simplify" the nominal form of a target by removing detail.

Note: Inserting and Deleting Nominal Segments is only used for Profile 2D Features. These options allow you to add or remove segments to a Profile 2D shape in order to more accurately match the feature.

Insert Hit Target: To insert a new Hit Target, right-click at the needed location and select the Insert Hit Target menu option. This is unlike the Insert Hit Target button from the Probe Toolbox that randomly inserts a new Hit Target.

Delete Hit Target: To delete a Hit Target, right-click the needed target and select the Delete Hit Target menu option.

Reset: To reset the target areas of a feature, right-click on a target of the needed feature and select the Reset menu option. This will delete the entire previously added target, leaving the single default target.

Point Density submenu: To change the target Point Density right-click on a target and select the needed menu option from the Point Density submenu. See the "Edge Parameter Set" for more information on the available Point Density options.

Test: To test a feature, right-click on a feature and select the Test menu option. See the " Vision Controls - Command Buttons " topic for more information on testing features.


Measuring Features Using PC-DMIS Vision

PC-DMIS Vision currently supports the creation of the following features using the auto feature creation functionality:

  • Surface Point

  • Edge Point

  • Line

  • Circle

  • Round and Square Slots

  • Profile 2D

For in-depth information on auto features, you will need to see the "Creating Auto Features" section in the main PC-DMIS help file. The PC-DMIS Vision help file only discusses Auto Features as they relate to PC-DMIS Vision.

If you are new to the PC-DMIS Software, please refer to the topic “Getting Started: A Simple Tutorial” in the PC-DMIS for Windows core help file; it provides an introductory discussion of writing a part program.

More:

Vision Measuring Methods

Step by Step Measurement Procedure


Vision Measuring Methods

PC-DMIS Vision offers two ways to measure parts in DCC Mode:

  • CAD Selection Method –If you have a CAD drawing, you can program the entire part program offline based on the CAD drawing. You can then execute this program on a live machine. See the “CAD Selection Method” for more info on this procedure.

  • Target Selection Method – This method does not require a CAD drawing and is done entirely online using a live machine. See the “Target Selection Method” for more information on this procedure.

More:

Vision Alignment

CAD Selection Method

Target Selection Method

Required Clicks for Supported Features


Vision Alignment

Both the CAD Selection and the Target Selection measuring methods require you to establish an alignment. The alignment defines the Part Coordinate System. You must perform an alignment if you wish to do any one of the following:

  • Change the location or orientation of the part on the stage.

  • Move the part program from one machine to another.

  • Program the part program offline and then run it online.

  • Use vision measurement hardware that does not have homing capability.

  • Use the AutoShutter facility on manual machines.

Note: You should create an alignment each time you create a part program to run in DCC Mode. For information on creating alignments, see the “Creating and Using Alignments” section in the core PC-DMIS help file.


CAD Selection Method

In this method, to add a feature to your part program, you will click on the desired CAD element (such as a circle, an edge, a surface and so on) inside the Cad View tab of the Graphics Display window. If you want to insert an open Profile 2D, you would also need to select the series of CAD elements that form the profile 2D you wish to measure.

The following steps show how to add a circle feature to your part program using the CAD selection method:

  1. Access the Auto Feature toolbar.

  2. Click the Circle icon. The Auto Feature dialog box for a circle appears.

    Auto Feature dialog box

  3. Keeping the dialog box open, access the Graphics Display window, select the Cad View tab, and click once on the edge of the desired circle. Other features may require additional or fewer clicks. See “Required Clicks for Supported Features”.

    Selecting a circle from the Cad View

Important: Click as close as possible to the CAD element to ensure the PC-DMIS will not choose an incorrect element.

  4. PC-DMIS Vision automatically places the nominal data for the feature into the Auto Feature dialog box.

  5. For all features (except for Profile 2D) the hit targets will automatically be displayed for the feature. For a Profile 2D feature, you need to click on the Show Hit Targets button on the auto features dialog when you’ve defined the profile’s nominal position. See “Required Clicks for Supported Features”.

  6. The resulting CAD window view should look something like the following:

Circle feature with Target

Notice that the software selects the desired circle feature and draws a target showing the scanning region band.

  7. Click Create on the Auto Feature dialog box to add the feature to the part program.


Target Selection Method

For this method, to add a feature to your part program, you should use the Live View tab in the Graphics Display window to place target points. The following steps show how to add a circle feature to your part program using this method:

  1. Access the Auto Features toolbar.

  2. Click the Circle icon. The Auto Feature dialog box appears for the circle feature.

    Auto Feature dialog box

  3. Keeping the dialog box open, access the Graphics Display window, select the Live View tab.

  4. Click three points along the edge of the desired circle. You can also double click on the edge for auto detection. With each click, a red target anchor point will appear on your image. Other features may require more or fewer clicks. See “Required Clicks for Supported Features”.

  5. Adjust the lighting and magnification to the desired level using the pendant knob control.

Selecting a circle from the Live View tab

  6. The Target for the feature will appear in the Live View tab once you have placed the required number of anchor points for that feature (or double clicked to detect the edge). See “Required Clicks for Supported Features”.

Target shown for circle feature

  7. The nominal information will appear in the Auto Feature dialog box.

  8. Adjust the nominal information in the dialog to match the theoretical values of the feature.

  9. Click Create on the Auto Feature dialog box to add the feature to the part program.


Required Clicks for Supported Features

The following table shows the number of clicks required for each feature type and its associated method of selection:

Required Clicks per Feature

Feature Type | CAD Select Method (Cad View) | Target Point Method (Live View)
Surface Point | Click once on a surface (Surface Mode) or three times on a wireframe (Curve Mode) | Click to automatically add a point at the clicked spot on the surface.
Edge Point | Click once near an edge | Click to automatically add a point on the nearest edge.
Line | Click once on one end of a line and again at the other end. | Click to locate the start and end points of the line, or double click to automatically add two points at the extent of the current edge.
Circle | Click at least three times around the circle. | Click to add three points around the circle, or double click to automatically add three points equally spaced around the circumference of the visible circle.
Profile 2D | Click on a series of one or more connected edges or arcs using wireframe curve data (Curve Mode). | Click sufficient points to define the shape of the profile, with each pair of points being joined by an arc or line. You can insert more points later by right clicking on the Target and selecting Insert Nominal Segment.


Step by Step Measurement Procedure

The following procedures describe how to measure parts using PC-DMIS Vision for these different scenarios:

  • Measurement Procedure - No CAD

  • Measurement Procedure - With CAD

  • Measurement Procedure - With CAD and Alignment from Live View

Important: Before measuring you must first properly set up the various machine options and understand how to use the Probe Toolbox and the Live View tab. See these topics if you need information:

"Setting Machine Options"
"Calibrating the Optical Probe"
"Using the Probe Toolbox in PC-DMIS Vision"
"Using the Graphics Display Window in PC-DMIS Vision"


Measurement Procedure - No CAD

All operations outlined below are performed from the Live View tab within PC-DMIS Vision. To measure features without any CAD data, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Click OK.

  3. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or create a probe.

  4. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ONYX_OVP and ONXYOVP_1X. See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  5. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  6. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  7. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  8. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  9. Continue adding features as needed using the Live View tab.

  10. Save the part program for future execution.


Measurement Procedure - With CAD

All operations outlined below are performed from the Cad View tab within PC-DMIS Vision. With CAD data, you may create your part program offline or online. In either case, you must create an alignment otherwise your part program will not function properly with real parts.

To measure features with CAD data, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Select Offline or Online programming from the Interface list and then click OK.

  3. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or define a probe.

  4. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ONYX_OVP and ONXYOVP_1X. See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  5. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  6. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  7. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  8. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  9. Continue adding features as needed using the Live View or Cad View tab.

  10. Save the part program for future execution.


Measurement Procedure - With CAD and Alignment from Live View

This method is commonly used when you have a fixture but the fiducials are not found in the CAD drawing. In this case, although you have the CAD drawing for the part, you will not be able to establish a proper alignment from the CAD file. You will need to establish the alignment in the Live View tab Once you do this, you can then use the Cad View to measure additional features.

To establish an alignment that matches the CAD coordinate system, you will need to do the following:

  1. Create the alignment features from the Live View tab using the Target Selection Method.

  2. Establish an alignment based on the features created in the previous step.

  3. Translate, rotate, and level this alignment to match the CAD coordinate.

  4. Tell PC-DMIS these two coordinate systems should be snapped together.

Note: Your CAD file must have surface data if you wish to perform 3D measurements. Without surface data, PC-DMIS will not be able to establish the directional vector for the plane correctly.

To measure features with CAD data, once the alignment has been established in the Live View, follow this procedure:

  1. Click the File | New menu item to create a new part program. The New Part Program dialog box appears. Fill out this dialog box as needed.

  2. Select Online from the Interface list.

  3. Click OK.

  4. PC-DMIS will display the Probe Utilities dialog box, prompting you to select or define a probe.

  5. Either define your own probe, or simply select the probe from the list that corresponds to your hardware. For example, for RAM Optical Instrumentation (ROI) equipment, you can use the preconfigured optical probe files ONYX_OVP and ONXYOVP_1X. See the “Defining Probes” topic in the main PC-DMIS help file for information on how to define your own probe.

  6. Click OK to close the Probe Utilities dialog box.

  7. Place PC-DMIS into manual mode. You will use this mode to create and measure your alignment features.

  8. Use the Target Selection Method and create and measure the features that you will use to establish your alignment. This alignment becomes your “first alignment” for this part program.

    For this alignment, you should generally use three Surface Point features to construct a plane to level to, a line feature to rotate to and then a point feature for the origin.

    For simple 2D parts, however, you should generally use two circle features for leveling, rotating and setting the origin. You can do this by using the 2D Alignment option on the 321 Alignment Wizard found on the Wizards toolbar.

  9. Create an alignment of your choice using the features you created earlier. See the “Creating and Using Alignments” topic in the main PC-DMIS help file for information on how to define your own probe.

  10. Transform the alignment so that it matches the CAD coordinate system. To do this, click the CAD=Part button on the Alignment Utilities dialog box to tell PC-DMIS that the alignment you just created should match up with the CAD coordinate system.

  11. For machines supporting DCC motion, you can then click the DCC Mode icon [image] if you want additional features to be created and measured in DCC Mode.

  12. Continue adding features as needed using the Live View or Cad View tab.

  13. Save the part program for future execution.


Modifying a Feature in PC-DMIS Vision

For feature programming tasks, PC-DMIS Vision utilizes the Auto Feature dialog box. You can access this dialog box in one of three ways:

  1. Click on an icon shown in the Display Menu Roadmap Auto Features toolbar. The Auto Feature dialog box appears, allowing you to create a new feature.

    To view the Auto Features toolbar, select the Auto Features menu option from the Toolbar submenu.

Auto Features toolbar

  2. If a feature already exists in your part program, place your cursor over the feature and press F9. The Auto Feature dialog box for that feature appears, allowing you to modify it.

  3. Right click on a feature, and select Edit from the shortcut menu. The Auto Feature dialog box for that feature appears, allowing you to modify it.

Note: Modifying a feature command in an offline part program is very similar to modifying an online part program. The only difference is that in offline mode, you don’t have an external pendant. Dragging with the right mouse button in the CAD View tab simulates the stage motion.

More:

Modifying a Programmed Feature Using the Auto Feature Dialog Box

The Auto Feature Dialog Box in PC-DMIS Vision


Modifying a Programmed Feature Using the Auto Feature Dialog Box

To modify a feature command in your part program, use these steps:

  1. Place your cursor on the feature you want to edit in the Edit window and press F9 to access its Auto Feature dialog box.

Auto Feature dialog box

  2. If you have a DCC machine and have already established and ran your “first alignment” with a real part, you can click on the Move To button in the Auto Feature dialog box to move the FOV to the center of the feature. This button only works on DCC enabled machines.

Warning: If you have not established the “first alignment” for your part program, do not click the Move To button. Doing so may cause the stage to run off or damage the part you are measuring. Remember, PC-DMIS first needs to know the location of the part on the stage, its orientation and level to calculate the target feature location.

  3. Switch to the Live View tab in the Graphics Display window.

  4. Ensure that the lamps are properly illuminating the edges of the feature. If you need to make changes, switch to the Illumination tab on the Probe Toolbox and make the necessary adjustments.

  5. Click the Test button in the Auto Feature dialog box. PC-DMIS Vision inserts a temporary test feature into the Edit window and executes the feature.

  6. Examine the detected points in the Live View. These points indicate the raw hits PC-DMIS will use to fit the geometry. If there are outliers you wish to reject, use the Define Targets tab on the Probe Toolbox, and make changes to the Filter Parameter Set. If the detected points are not at the location you expect, continue to the next step.

  7. Display Menu Roadmap Access the Preview window (View | Preview) to ensure that the feature was properly measured in this test.

  8. If the test data appears incorrect, the following suggestions may help to fix the problem:

  • If most of the feature appears correct, but one region is returning incorrect points, insert a new target in that region, and set different parameters (illumination, edge detection, filters, and so on) until that region of the feature also measures correctly.

  • Click on the Define Targets tab of the Probe Toolbox and insert a new target in the target region. See "Probe Toolbox: Define Targets tab".

  • Click on the Define Targets tab of the Probe Toolbox and adjust the target parameters. See "Probe Toolbox: Define Targets tab".

  • Click on the Illumination tab of the Probe Toolbox and adjust any illumination settings. See "Machine Options: Illumination tab". The changed illumination settings are applied to any targets currently selected in the Define Targets tab. You may also use the attached pendant to set the luminosity if the machine supports it.

  9. Once you have made the suggested changes, test the results of the target by clicking the Test button again. When you are satisfied with the target results, continue with the next step.

  10. Make adjustments to the options on the dialog box as needed.

  11. Click the OK button on the Auto Feature dialog box to update the feature with the new settings.

Note: The Auto Feature dialog box shown above is the expanded version of this dialog box. Click the << Basic button to see the reduced version of the dialog box.


The Auto Feature Dialog Box in PC-DMIS Vision

Auto Feature dialog box

The Auto Feature dialog box helps you determine what to measure. Regardless of your selection, the Auto Feature dialog box appears with the appropriate feature type selected from the list in the Measurement Properties area.

Features can be programmed using a Vision camera in a manner similar to using a contract probe. The three available methods are:

  • Selecting CAD data in the Cad View tab.

  • Placing target anchor points with mouse clicks in the Live View tab.

  • Entering values into the Theoretical edit boxes found in the Auto Feature dialog box.

More:

A Note on the Terminology of Hits

A Note on Vision Specific Controls

Vision Controls - Command Buttons

Vision Controls - Special Icon Controls

Vision Controls – Feature Locator Controls

Vision Field Definitions


A Note on the Terminology of Hits

We refer to the process of using a contact probe to measure a feature as "taking a hit". In PC-DMIS Vision’s case, the hit refers to the actual position of the point in the measurement process. It is inaccurate to use this same terminology for Vision measurements. In PC-DMIS Vision, you actually click on the image in the Live View tab to relay ‘hits’ to the machine.

The term "Target Anchor Point" better defines the process as it occurs inside PC-DMIS Vision. The points derived from these clicks are used as a reference to calculate the nominal form of the feature.


A Note on Vision Specific Controls

The Auto Feature dialog box has some controls that appear only if you're working in PC-DMIS Vision. For information on the other controls, see the main "PC-DMIS Help file".

Auto Feature dialog box with Advanced controls specified

The following tables discuss the Auto Feature dialog box controls specific to PC-DMIS Vision:

  • Command Button Controls (also used in PC-DMIS Laser)

  • Special Icon Controls

  • Feature Locator Controls


Vision Controls - Command Buttons

Command Buttons

Description

Move To button

Clicking the Move To button moves the field of view in the Graphics Display window and centers it on the current feature's XYZ location. If a feature is composed of more than one point (such as a line), then clicking this button switches between the points making up the feature.

Test button

Clicking the Test button allows you to test a feature's creation and preview its dimensional data before it's actually created.

Clicking this button performs a measurement using the current parameters.

You can change parameters and click Test repeatedly until you have an acceptable measurement. Then when you click Create the software converts the temporary feature into a normal feature in the part program.


Vision Controls - Special Icon Controls

Special Icons | Description
Polar / Cartesian Toggle icon | This icon switches between Polar and Cartesian coordinate system.
Read Point from Machine icon | This icon reads the probe tip's position (stage position) and inserts it into the X, Y, and Z boxes. Note: if you’re on the Gage toolbox page when this button is pressed, the Gage centre point is used rather than the stage position.
Manual Pre-Position toggle icon | When running in DCC mode, this icon has operator confirm the target position before measurement takes place.
Flip Vector icon | This icon reverses the direction of I, J, K vector.

Important: See the "Common Auto Feature Dialog Box Options " topic in the Core PC-DMIS help file for more information on options that are not discussed in this topic.


Vision Controls – Feature Locator Controls

Feature Locator Controls

Description

Report Screen Capture area

The Report Screen Capture area determines whether or not the software should include an image capture of the feature in the report along with the feature results.

The list on the left gives these options:

None – Do not include an image in the report.

Cad – Include the image from the Cad View tab in the report.

Live – Include the image from the Live View tab in the report.

Both – Include images from both the Live View tab and the Cad View tab in the report.

The list box on the right lets you determine whether or not a bitmap image capture gets generated for all measurements of this feature, or just when it fails to measure.

Feature Locator area

The Feature Locator area lets you give assistance to the operator by instructions for the current feature.

You can type a message in the Text box that will appear at execution time in the Locator Probe Toolbox tab.

For example, "Measure the lower left circle".

You can also display a bitmap image showing the feature’s location in one of two ways:

1) You can click the [image] button and browse to a previously created bitmap.

2) You can click the [image] button to instantly capture the image displayed in the Cad View tab or the Live View tab (whichever is active). The software automatically names, saves, and links the file for you.

Each individual feature can have its own feature locator information.


Vision Field Definitions

The Edit window command line for a sample vision circle reads:

feature_name=FEAT/TOG1, TOG2
THEO/ x_cord, y_cord, z_cord, I_vec, j_vec,
   k_vec, diam
ACTL/ x_cord, y_cord, z_cord, I_vec, j_vec,
  k_vec, diam
VISION/CIRCLE
SURFACE_THEO_THICKNESS, n
USEBESTFIT/TOG3
SCREEN CAPTURE = TOG4, TOG5
FEATURE LOCATOR = TOG6.
MAGNIFICATION = n
FOCUS = Y/N
PREPOSITION = Y/N
FOCUS = FOCUS ID, n, n, TOG7, TOG8, TOG9,
   ILLUM SET
TARGET = FEAT ID, TOG10, n, TOG11, n,
   ILLUM SET
ENDVISION/

TOG1 = FEATURE TYPE
CIRCLE / EDGE POINT / LINE / PROFILE 2D / SURFACE POINT are the currently available PC-DMIS Vision feature types.

TOG2 = POLR or RECT

TOG3 = ALGORITHM =
LEAST_SQR, MIN_SEP, MAX_INSC, MIN_CIRSC

TOG4 = CAPTURE
This is a toggle field that allows you to save the CAD or LIVE view. If both views need to be saved, select BOTH. No views will be saved if NONE is displayed. Captured screen shots are available in the Edit window but you must be in Full Report mode.

TOG5 = FOR FEATURES
This option toggles between FAILED and ALL. This will let you perform a screen capture for all the features, or only the features that fail to acquire sufficient points.

TOG6 = FEATURE LOCATOR
The feature locator option is used for specifying a bitmap image file that you want to appear in the Feature Locator tab of the Probe Toolbox when this feature is executed. This option can help you locate the feature. If this option isn’t needed, switch it to NONE.

PREPOSITION = YES or NO
This YES / NO toggle field moves the video camera to position and then pauses before taking a measurement. This allows you to make fine positional adjustments of the targets.

TOG7 =
This editable value indicates the range of search for the optimal focal position.

TOG8 =
This editable value indicates the duration time (in seconds) that will be spent searching for the best focal position. (This value is also editable.)

TOG9 =
This YES/NO toggle field indicates whether a second focus test will be performed. Toggle YES to improve the accuracy of the focal position.

TOG10=
This option toggles between LOW | HIGH | NORMAL | NONE. It indicates the density of points that will be returned for this target. See "Probe Toolbox: Define Targets tab" for more information.

EDGE STRENGTH = n
This parameter allows you to select an appropriate edge strength threshold that will be used during the teach process. All edges that are assigned a ‘strength’ that is below this threshold will be ignored when looking for an edge. You can adjust this predetermined value by clicking on the value in the Edit window. You can also alter the value from within the Define Targets tab of the Probe Toolbox. Care should be taken in if changes are to be made to this parameter. Values should fall between the range of 0 and 255.

TOG11=
This toggle field switches between the available types of edge detections. They are: DOMINANT EDGE, SPECIFIED EDGE, NEAREST NOMINAL, or MATCHING EDGE. See "Probe Toolbox: Define Targets tab" for more information.

SPECIFIED EDGE = n
This parameter defines the Nth edge to be used for the specified edge detection method. Currently allows a number between 1-10 to be entered.


Using Offline and Online Modes

PC-DMIS Vision will let you prepare a part program in either offline or online modes. The CAD Camera functionality gives you the versatility to run this program in either mode.

More:

Using Teach Mode Execution


Using Teach Mode Execution

The Teach Features icon, places your computer into teach mode execution (TME).

Display Menu Roadmap TME allows you to conveniently teach illumination, magnification and image processing parameters of your part program commands for the target optical machine.

You should use this mode when you move your part program from one computer to another, or when you are ready to execute an offline prepared part program in an online environment. If you are running an offline part program in online mode for the first time, PC-DMIS Vision automatically enters TME. It needs to do this because during offline preparation, PC-DMIS uses simulated lighting which may not match the actual lighting behaviour on the target machine.

In summary, you may want to execute your part program using TME when you have the following conditions:

  • You move a part program from one machine to another.

  • You need to run a part program in online mode that was prepared in offline mode.

  • You change hardware components that affect the lighting, such as lamps.

  • Lighting conditions of the room where you have your optical machine changes.

You will find that there are slight differences between different hardware systems and, over time, even within the same hardware system. TME addresses these issues.

More:

How Teach Mode Execution Works


How Teach Mode Execution Works

When you execute your part program in Teach Mode Execution (TME), PC-DMIS Vision steps you through the program, feature by feature.

It performs a test measurement on each feature and then displays the Auto Features dialog box for that feature.

You then have the option to apply one or more of those changes to one or more subsequent features in the part program.

Once you are satisfied with the feature and click OK, PC-DMIS Vision then tests the next feature. It continues doing this until the entire part program has been executed in TME.

Once you finish executing the part program in TME, you can return to regular Execute mode.


Auxiliary Light

The Auxiliary Light or On Axis Light is a lamp that is directed through the optical path. It can provide better edge and feature visibility on some parts than other light sources that illuminate from above because the light source isn't as diffused. Since it shines parallel to the optics, it's also easier to see into holes.

Illumination Set dialog box—Auxiliary Light tab


Bottom Light

The Bottom Light is a lamp that shines from under the stage. It creates a silhouette of the part to be viewed.

Illumination Set dialog box—Bottom Light tab


Bottom Light Calibration

PC-DMIS Vision first displays the Illumination Calibration dialog box when you click the Calibrate button with the Bottom Light check box selected in the Calibration area.

Illumination Calibration dialog box

For information on this dialog box, see a description in the "Top Light Calibration" topic.

Using this dialog box, follow these steps to calibrate this lamp.

  1. With the stage empty, click the Measure button. PC-DMIS performs the calibration procedure. For information on the Mag Step and Lighting Grayscale and what happens after you click Measure, see the "Top Light Calibration" topic.

  2. Click the Close button to complete this light’s calibration and to continue with any other requested calibrations. If there are no other lamps to be calibrated, PC-DMIS Vision will close this dialog box and display the Machine Options dialog box.

When the calibration is complete, the Illumination Calibration dialog will indicate the name of the file for the Bottom Light calibration data.


Creating a New Illumination Quick Set

To create a new illumination quick set:

  1. Click the Create New Illumination Quick Set icon. The software displays a New Illumination Quick Set input box:

New Illumination Quick Set input box

  2. Type a name for the illumination Quick Set. The entire name must fit in the box.

  3. Click the OK button. The New Illumination Quick Set dialog box appears.

  4. Make necessary changes in this dialog box. This dialog box has the same form and function as the Edit Illumination dialog box. For information on this dialog box, see the "Editing Illumination Values" for a description of a similar dialog box.

  5. Click Apply and then OK. The dialog box closes and the software stores your illumination settings in the newly created set.


Delete Illumination Quick Set icon


Editing Illumination Values

When you create Quick Set, or when you change existing illumination values on your machine, you will use the Editing Illumination Values dialog box. This dialog box allows you to turn lamps on or off and to alter lamp intensities.

To change a lamp's illumination values, either click the Edit Illumination Values icon, or double click on a light graphic on the tab:

A sample Ring Light graphic

PC-DMIS displays either the tabbed Edit Illumination Values or Edit Illumination Quick Set dialog boxes:

Edit Illumination Values dialog box

You can use the tabs on this dialog box to modify the intensity and the on / off status of a specific lamp.

Changing the Lamp Intensity – You can change the intensity of any lamp by moving the slider bar or by typing a percentage value in the % box.

Switching a Lamp On or Off – You can easily switch a lamp on or off by clicking on the graphic in the tab. A red cross through a bulb indicates that the light is off. A highlighted and shaded bulb indicates that the light is on.

Turning on a Live Image Overlay – If you are using ring lights, you can place a graphical overlay of the lamp to appear in the Live View tab of the Graphics Display window. This overlay allows you to switch bulbs on or off directly by clicking on the overlay of the bulb on the Graphics Display window.

Using Multiple Bulb Shortcuts – Some lamps have multiple bulbs (such as the Ring Light and the Vector Light discussed below). The following shortcuts quicken bulb manipulation processes for these lamps:

  • Hold down SHIFT and select a bulb. All bulbs in that ring get their ON/OFF state changed.

  • Double click on a bulb. The state of all bulbs from that bulb inward in that sector will be changed at the same time.

  • Hold down SHIFT and double click on a bulb. All bulbs in all sectors from the clicked bulb inward are affected.

Click the Apply button to actually change the illumination values.

The number and type of lamps displayed on this dialog box depend on your optical measuring hardware. Typical lamp types include the following: Top Light, Bottom Light, Auxiliary Light, and Ring Light.


Intensity Circle

The circle that is located in the middle of the Top light, Bottom light or segment of a Ring light shows the current intensity value for that light.


Legacy Controllers Settings

The Legacy Controller area lets you specify the name and location of the library to use if your system is using legacy controllers. Click the “browse” button to locate the legacy controller library (*.dll).


Probe Readout icon


Probe Tip

Some other interchangeable terms for "probe tip" are AB angles, AB positions, Tip, Tip Angles, etc.


Remove Hit icon


Renaming an Illumination Quick Set

To rename an existing illumination set:

  1. Click the Rename Illumination Quick Set icon.

  2. Click Yes. The Rename Illumination Quick Set input box appears:

Rename Illumination Quick Set input box

  3. Type the new name for the illumination Quick Set in the box. The entire name must fit in the box.

  4. Click OK. The input box closes. The software updates the Quick Set with the new name.


Ring and Vector Light Calibration

All light calibrations are basically the same. Refer to the other light calibration sections for help on how this is done. For example, see “Top Light Calibration” or “Bottom Light Calibration”.


Ring Light

The Ring Light is a multi-bulb lamp that illuminates from above. This lamp is normally composed of an array of LED lights arranged in concentric rings or circles.

Edit Illumination Values dialog box—Ring Light tab

You can usually program the ring light to illuminate a segment or 'pie wedge' of bulbs from one direction.

You can control the direction and angle of illumination by illuminating just one of the rings of LEDS, a segment of one of the rings, or individual bulbs.

The Ring Light tab allows you additional editing capabilities specific to lamps with multiple bulbs:

Certain ring lights allow different intensities per ring, sector, or even per bulb. These lights will have a list in the Intensity area that allows a specific part of the lamp to be changed (for example, all “Section 1” bulbs). It also allows all bulbs to be changed by marking the Change All check box. It’s also possible to choose whether an increase or decrease in the level of the bulb intensity should keep their relative differences (RELATIVE), or should set them all to the same value (ABSOLUTE).

More:

Positioning Ring Light Bulb Illumination


scale to fit

The Scale to Fit check box is only available on some optical machines.


Snap to Edge

If you select the Snap to Edge check box from the Live Image Setup dialog box, any points that you take will snap to the nearest edge (within the specified search range). See “Setting up the Live View” for additional information.


Teach Feature Icon

Teach Features icon.

To enter Teach Mode Execution, select the Teach Features from the Edit Window toolbar or from the File menu.


Top Light

The Top Light is a lamp supplemental to the camera that shines down on the part. This allows the surface of the part to be suitably illuminated for measurement.

Edit Illumination Values dialog box—Top Light tab


Top Light Calibration

PC-DMIS Vision first displays the Illumination Calibration dialog box when you click the Calibrate button with the Top Light check box selected in the Calibration area.

Illumination Calibration dialog box

Using this dialog box, follow these steps to calibrate this lamp:

  1. Place a blank piece of white paper in the field of view in the LIVE view of PC-DMIS Vision. See "Live View" for additional information on the Live View.

  2. Focus the video camera manually to get a clear image.

  3. Click the Measure button to begin the calibration process. The process takes several minutes.

  • During calibration, PC-DMIS Vision selects different magnifications for illumination measurement as indicated by the Mag Step value. This value displays the current magnification and corresponds to the value displayed in the Magnification tab of the Probe Toolbox.

  • It also sets the illumination intensity corresponding to the different commanded illumination values at the different magnifications. The Lighting Grayscale indicates the intensity of this illumination. The values range from 0 (black) to 100 (white).

Illumination Calibration dialog box showing Mag Step and Lighting Grayscale

  • Once the calibration is complete the Illumination Calibration dialog box displays a message indicating the name of the newly created illumination file. PC-DMIS Vision uses this file whenever this specific light is used in the measuring process:

Illumination Calibration dialog box showing the name of the created illumination file

  4. Click the Close button to complete this lamp's calibration and to continue with any other requested calibrations. If there are no other lamps to be calibrated, PC-DMIS Vision will close this dialog box and display the Machine Options dialog box.

Illumination Calibration Command Buttons

The Measure button restarts the calibration process for the current lamp.

The Abort button is only available during a calibration. This button stops the calibration, aborts any data collected during the process, and reinstates any pre-existing calibration files for the current lamp.